Bug 465131 - Ibus cause gedit, hamster, empathy, calculator and maybe others freeze after 10/1 update.
Ibus cause gedit, hamster, empathy, calculator and maybe others freeze after ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-10-01 14:46 EDT by Shaopu Chiu
Modified: 2008-10-06 22:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 22:03:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shaopu Chiu 2008-10-01 14:46:00 EDT
Description of problem:
Gedit, hamster calculator freeze when activated.
I can't be sure what went wrong.

Version-Release number of selected component (if applicable):
gnome 2.24

How reproducible:
always

Steps to Reproduce:
1. Just run them and freeze.
2. 
3.
Comment 1 Ray Strode [halfline] 2008-10-01 15:19:56 EDT
what's the output of

strace -p $(/sbin/pidof gedit)
Comment 2 Shaopu Chiu 2008-10-01 20:48:41 EDT
I did not understand what you said.
You mean type "strace -p $(/sbin/pidof gedit)" in Terminal?
command not found....
Or just type /sbin/pidof gedit?
Nothing happened.
I'm a newbie in linux >_<
Comment 3 Ray Strode [halfline] 2008-10-01 23:06:33 EDT
Hi,

You probably don't have the strace binary installed.

First open up a terminal and type:

yum -y install strace

wait for it to install then type

get gedit into a state where it's frozen

next run

strace -o /tmp/gedit.strace -p $(/sbin/pidof gdm)

and attach /tmp/gedit.strace to this report.
Comment 4 Shaopu Chiu 2008-10-01 23:46:35 EDT
Thanks for your help.
And I can't get /tmp/gedit.strace after I type "strace -p $/sbin/pidof gedit" because it got into eternal loop in terminal.
This is what I got in Terminal.
I hope it may help.

2, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 238771}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 239080}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 239384}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 239697}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 263424}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 263837}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\2\0\4\0P\0\200\5\0\10\0\0\363\200b\0\f\0\4\0\240\0\200\5@\0\0\0\0\0\0\0\10"..., 2168}], 1) = 2168
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\23%\274\2\240\0\200\5\240\0\200\5\0\0\0\0008\337\321\277\n\251\10\10\\\337\321\277\240\0\200\5\23"..., 4096) = 184
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
gettimeofday({1222918423, 279062}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 279504}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 279916}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\24\0\6\0005\0\200\5{\1\0\0\0\0\0\0\0\0\0\0\377\377\377\37"..., 24}], 1) = 24
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1 \322\2\n\0\0\0\4\0\0\0\0\0\0\0\n\0\0\0\340\242!\10h\337\321\277I\31\25\10\23"..., 4096) = 72
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\21\0\2\0\23\1\0\0"..., 8}], 1) = 8
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\0\323\2\3\0\0\0\t\0\201\t\0\0\0\0\10\0\0\0DA\17\0\320\224\201\t\0\0\0\0T"..., 4096) = 44
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\21\0\2\0\22\1\0\0"..., 8}], 1) = 8
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\0\324\2\2\0\0\0\10\0\201\t\0\0\0\0\10\0\0\0DA\17\0\320\224\201\t\0\0\0\0M"..., 4096) = 40
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\21\0\2\0w\1\0\0"..., 8}], 1) = 8
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\0\325\2\3\0\0\0\f\0\201\t\0\0\0\0\10\0\0\0DA\17\0\320\224\201\t\0\0\0\0S"..., 4096) = 44
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\21\0\2\0\324\1\0\0"..., 8}], 1) = 8
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\0\326\2\1\0\0\0\4\0\201\t\0\0\0\0\10\0\0\0DA\17\0\320\224\201\t\0\0\0\0T"..., 4096) = 36
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\21\0\2\0\351\1\0\0"..., 8}], 1) = 8
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\26\0\326\2P\0\200\5P\0\200\5K\5@\4\f\0m\0\212\2\364\1\0\0\0\0P\0\200\5"..., 4096) = 32
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\26\0\326\2P\0\200\5P\0\200\5L$`\5\f\0m\0\212\2\364\1\0\0\0\0P\0\200\5\23"..., 4096) = 320
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\t\3\326\2P\0\200\5\0\322\"\t\360\325\310\t\0\0\0\0\4\0\0\0\0\0\0\0\4\0\0\0"..., 4096) = 32
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\241 \326\2P\0\200\5\354\0\0\0\355\0\0\0\372q'\0\0\0\0\0\0\0\0\0\0\0\0\0\34"..., 4096) = 96
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\241 \326\2P\0\200\5\354\0\0\0\371\0\0\0\0\0\0\0\261|H*\0\0\0\0\0\0\0\0\226"..., 4096) = 64
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\0\327\2\6\0\0\0\30\0\201\t\0\0\0\0\10\0\0\0DA\17\0\320\224\201\t\0\0\0\0t"..., 4096) = 56
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\21\0\2\0\310\1\0\0"..., 8}], 1) = 8
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\0\330\2\3\0\0\0\n\0\201\t\0\0\0\0\10\0\0\0DA\17\0\320\224\201\t\0\0\0\0t"..., 4096) = 44
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
gettimeofday({1222918423, 363651}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 364029}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 364391}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 364762}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 365110}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 365437}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 365770}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 366094}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 366420}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 366753}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 367076}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 367401}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 367739}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 368063}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 368390}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 368725}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 373819}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\23\0\3\0005\0\200\5{\1\0\0\21\0\2\0\207\1\0\0"..., 20}], 1) = 20
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\34\234\331\0025\0\200\5{\1\0\0\"r'\0\1\337\321\277\n\251\10\10X\337\321\2775\0\200\5\1"..., 4096) = 84
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
gettimeofday({1222918423, 385534}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 386202}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 1 ([{fd=3, revents=POLLIN}])
select(4, [3], [3], NULL, NULL)         = 2 (in [3], out [3])
read(3, "\34\325\332\2P\0\200\5R\1\0\0$r'\0\0\337\321\277\n\251\10\10X\337\321\277P\0\200\5"..., 4096) = 32
writev(3, [{"\21\0\2\0B\1\0\0"..., 8}], 1) = 8
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\0\333\2\5\0\0\0\22\0\201\t\0\0\0\0\10\0\0\0DA\17\0\320\224\201\t\0\0\0\0_"..., 4096) = 52
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
gettimeofday({1222918423, 387626}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 387977}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 388339}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 388692}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 389039}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 392066}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 392432}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 392769}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 393109}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 393459}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 393799}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 394136}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 394488}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 394828}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 395166}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 395518}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 395879}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 396600}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 396939}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 397291}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 397626}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 397961}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 398314}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 398649}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 398989}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 399341}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 399693}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 424536}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 424947}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 425362}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 425766}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 426165}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 426583}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 426986}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"(\0\4\0P\0\200\5\246\1\0\0\0\0\0\0"..., 16}], 1) = 16
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\1\334\2\0\0\0\0P\0\200\5\f\0m\0\10\0\0\0\20\0\0\0\320\224\201\t\0\0\0\0"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
gettimeofday({1222918423, 434878}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"(\0\4\0P\0\200\5\246\1\0\0\0\0\0\0"..., 16}], 1) = 16
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\1\335\2\0\0\0\0P\0\200\5\f\0m\0\10\0\0\0\20\0\0\0\320\224\201\t\0\0\0\0"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
gettimeofday({1222918423, 437270}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 437684}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 439356}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 439832}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 440403}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=12, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}, {fd=19, events=POLLIN}, {fd=17, events=POLLIN}, {fd=6, events=POLLIN}], 11, 0) = 0 (Timeout)
gettimeofday({1222918423, 457913}, NULL) = 0
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\20\0\4\0\10\0\200\5_client2"..., 16}], 1) = 16
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\1\0\336\2\0\0\0\0\336\1\0\0\0\0\0\0\20\0\0\0CA\17\0\320\224\201\t\0\0\0\0"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\22\2\f\0003\0\340\3\336\1\0\0\37\0\0\0\10\0\0\0\30\0\0\0002\0\5\0\4\0\20\0\242"..., 92}], 1) = 92
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\241\10\340\2\232\0\200\5j\1\0\0003\0\1\0\4\0\4\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4096) = 32
read(3, "\241\10\340\2\232\0\200\5j\1\0\0%\0\3\0\4\0\4\0\3\0\0\0\374\377\377\377\0\0\0\0"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [3], NULL, NULL)         = 1 (out [3])
writev(3, [{"\31\0\v\0003\0\340\3\0\0\0\0!\10\0\0003\0\340\3j\1\0\0008\0\2\0\4\0\4\0\2"..., 44}], 1) = 44
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\34\325\341\2P\0\200\5\240\1\0\0\242s'\0\0\337\321\277\n\251\10\10X\337\321\277P\0\200\5"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\34\325\341\2P\0\200\5\240\1\0\0\255s'\0\0\337\321\277\n\251\10\10X\337\321\277P\0\200\5"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\2%\341\2\356v'\0\246\1\0\0P\0\200\5\0\0\0\0K\3r\2?\3\5\2\0\0\1\0"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\3%\341\2\230x'\0\246\1\0\0P\0\200\5\0\0\0\0K\3r\2?\3\5\2\4\0\1\0"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\n\3\341\2P\0\200\5\0\0\0\0G%\304\0\313\322\6\10\261\237\10\10\1\0\0\0$\337\321\277"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\34\325\341\2P\0\200\5\240\1\0\0@\200'\0\0\337\321\277\n\251\10\10X\337\321\277P\0\200\5"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3, "\241 \341\2P\0\200\5\354\0\0\0\363\0\0\0\351\1\0\0P\0\200\5\0\0\0\0\0\0\0\0"..., 4096) = 32
read(3, 0x83f43fc, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(4, [3], [], NULL, NULL^C <unfinished ...>
Comment 5 Shaopu Chiu 2008-10-02 11:48:57 EDT
and pidgin freezes too...
Comment 6 Shaopu Chiu 2008-10-02 12:49:53 EDT
Hmm....
System monitor says my Xsession are zombie.
And I started nautilus and pressed ctrl or shift key in order to select files then nautilus froze.
Packagekit said it's searching for file /lib/firmware/intel-ucode/?????? (I forgot).

Are these related to my problems?
Or maybe it's time to reinstall my fedora 10?
Comment 7 Ray Strode [halfline] 2008-10-02 12:56:47 EDT
when this happens, can you post the output of

ps -ef

?
Comment 8 Shaopu Chiu 2008-10-02 13:38:24 EDT
This is output of ps -ef when gedit, calculator, hamster and nautilus freeze.

UID        PID  PPID  C STIME TTY          TIME CMD
root         1     0  0 Oct02 ?        00:00:02 /sbin/init
root         2     0  0 Oct02 ?        00:00:00 [kthreadd]
root         3     2  0 Oct02 ?        00:00:00 [migration/0]
root         4     2  0 Oct02 ?        00:00:01 [ksoftirqd/0]
root         5     2  0 Oct02 ?        00:00:00 [watchdog/0]
root         6     2  0 Oct02 ?        00:00:00 [migration/1]
root         7     2  0 Oct02 ?        00:00:01 [ksoftirqd/1]
root         8     2  0 Oct02 ?        00:00:00 [watchdog/1]
root         9     2  0 Oct02 ?        00:00:00 [events/0]
root        10     2  0 Oct02 ?        00:00:00 [events/1]
root        11     2  0 Oct02 ?        00:00:00 [khelper]
root        16     2  0 Oct02 ?        00:00:00 [ftraced]
root        91     2  0 Oct02 ?        00:00:00 [kintegrityd/0]
root        92     2  0 Oct02 ?        00:00:00 [kintegrityd/1]
root        94     2  0 Oct02 ?        00:00:00 [kblockd/0]
root        95     2  0 Oct02 ?        00:00:00 [kblockd/1]
root        97     2  0 Oct02 ?        00:00:00 [kacpid]
root        98     2  0 Oct02 ?        00:00:00 [kacpi_notify]
root       178     2  0 Oct02 ?        00:00:00 [cqueue]
root       182     2  0 Oct02 ?        00:00:01 [ata/0]
root       183     2  0 Oct02 ?        00:00:00 [ata/1]
root       184     2  0 Oct02 ?        00:00:00 [ata_aux]
root       186     2  0 Oct02 ?        00:00:00 [ksuspend_usbd]
root       191     2  0 Oct02 ?        00:00:00 [khubd]
root       194     2  0 Oct02 ?        00:00:00 [kseriod]
root       239     2  0 Oct02 ?        00:00:00 [pdflush]
root       240     2  0 Oct02 ?        00:00:02 [pdflush]
root       241     2  0 Oct02 ?        00:00:04 [kswapd0]
root       337     2  0 Oct02 ?        00:00:00 [aio/0]
root       338     2  0 Oct02 ?        00:00:00 [aio/1]
root       544     2  0 Oct02 ?        00:00:00 [scsi_eh_0]
root       549     2  0 Oct02 ?        00:00:08 [scsi_eh_1]
root       640     2  0 Oct02 ?        00:00:00 [kpsmoused]
root       649     2  0 Oct02 ?        00:00:00 [kstriped]
root       718     2  0 Oct02 ?        00:00:00 [ksnapd]
root       727     2  0 Oct02 ?        00:00:00 [kdmflush]
root       728     2  0 Oct02 ?        00:00:00 [kdmflush]
root       731     2  0 Oct02 ?        00:00:03 [kjournald]
root       802     1  0 Oct02 ?        00:00:00 /sbin/udevd -d
root       967     2  0 Oct02 ?        00:00:00 [iwl3945/0]
root       972     2  0 Oct02 ?        00:00:00 [iwl3945/1]
root       983     2  0 Oct02 ?        00:00:00 [iwl3945]
root      1157     2  0 Oct02 ?        00:00:00 [tifm]
root      1225     2  0 Oct02 ?        00:00:00 [pccardd]
root      1407     2  0 Oct02 ?        00:00:00 [kauditd]
root      1679     2  0 Oct02 ?        00:00:00 [kmpathd/0]
root      1680     2  0 Oct02 ?        00:00:00 [kmpathd/1]
root      1681     2  0 Oct02 ?        00:00:00 [kmpath_handlerd]
root      1707     2  0 Oct02 ?        00:00:00 [kjournald]
root      1976     2  0 Oct02 ?        00:00:07 [kondemand/0]
root      1977     2  0 Oct02 ?        00:00:00 [kondemand/1]
root      2060     1  0 Oct02 ?        00:00:00 auditd
root      2062  2060  0 Oct02 ?        00:00:00 /sbin/audispd
root      2078     1  0 Oct02 ?        00:00:00 /usr/sbin/restorecond
root      2086     1  0 Oct02 ?        00:00:00 rsyslogd -c 3
rpc       2105     1  0 Oct02 ?        00:00:00 rpcbind
rpcuser   2114     1  0 Oct02 ?        00:00:00 rpc.statd
root      2144     2  0 Oct02 ?        00:00:00 [rpciod/0]
root      2145     2  0 Oct02 ?        00:00:00 [rpciod/1]
root      2154     1  0 Oct02 ?        00:00:00 rpc.idmapd
dbus      2169     1  0 Oct02 ?        00:00:11 dbus-daemon --system
root      2213     1  0 Oct02 ?        00:00:00 /usr/sbin/acpid
68        2221     1  0 Oct02 ?        00:00:05 hald
root      2224     1  0 Oct02 ?        00:00:00 /usr/sbin/console-kit-daemon
root      2287  2221  0 Oct02 ?        00:00:01 hald-runner
root      2319  2287  0 Oct02 ?        00:00:00 hald-addon-input: Listening on /
root      2333  2287  0 Oct02 ?        00:00:00 /usr/libexec/hald-addon-cpufreq
68        2334  2287  0 Oct02 ?        00:00:00 hald-addon-acpi: listening on ac
root      2349  2287  0 Oct02 ?        00:00:04 hald-addon-storage: polling /dev
root      2385     1  0 Oct02 ?        00:00:00 pcscd
root      2401     1  0 Oct02 ?        00:00:02 NetworkManager --pid-file=/var/r
root      2403     1  0 Oct02 ?        00:00:00 /usr/sbin/wpa_supplicant -c /etc
root      2405     1  0 Oct02 ?        00:00:00 /usr/sbin/nm-system-settings --c
root      2430     1  0 Oct02 ?        00:00:04 /usr/bin/python -E /usr/sbin/set
root      2438     1  0 Oct02 ?        00:00:00 /usr/sbin/bluetoothd
root      2449     2  0 Oct02 ?        00:00:00 [btaddconn]
root      2450     2  0 Oct02 ?        00:00:00 [btdelconn]
root      2483     1  0 Oct02 ?        00:00:00 /usr/sbin/sshd
ntp       2493     1  0 Oct02 ?        00:00:00 ntpd -u ntp:ntp -p /var/run/ntpd
root      2528     1  0 Oct02 ?        00:00:00 sendmail: accepting connections
smmsp     2539     1  0 Oct02 ?        00:00:00 sendmail: Queue runner@01:00:00 
root      2548  2401  0 Oct02 ?        00:00:00 /sbin/dhclient -d -sf /usr/libex
root      2553     1  0 Oct02 ?        00:00:00 crond
root      2566     1  0 Oct02 ?        00:00:02 kerneloops
root      2583     1  0 Oct02 ?        00:00:00 /usr/sbin/atd
avahi     2594     1  0 Oct02 ?        00:00:00 avahi-daemon: registering [yike-
avahi     2595  2594  0 Oct02 ?        00:00:00 avahi-daemon: chroot helper
root      2607     1  0 Oct02 ?        00:00:00 cupsd
root      2617     1  0 Oct02 ?        00:00:00 /usr/sbin/gdm-binary -nodaemon
root      2618     1  0 Oct02 tty4     00:00:00 /sbin/mingetty tty4
root      2619     1  0 Oct02 tty5     00:00:00 /sbin/mingetty tty5
root      2620     1  0 Oct02 tty2     00:00:00 /sbin/mingetty tty2
root      2621     1  0 Oct02 tty3     00:00:00 /sbin/mingetty tty3
root      2622     1  0 Oct02 tty6     00:00:00 /sbin/mingetty tty6
root      3315     1  1 Oct02 ?        00:02:01 /sbin/mount.ntfs-3g /dev/sda3 /m
root      3365     1  0 Oct02 ?        00:00:00 /sbin/mount.ntfs-3g /dev/sda2 /m
root     13594  2617  0 00:37 ?        00:00:00 /usr/libexec/gdm-simple-slave --
root     13595 13594 10 00:37 tty7     00:05:46 /usr/bin/Xorg :0 -br -verbose -a
gdm      13623     1  0 00:37 ?        00:00:00 /usr/bin/dbus-launch --exit-with
root     13712 13594  0 00:37 ?        00:00:00 /usr/libexec/gdm-session-worker
yike     13782     1  0 00:37 ?        00:00:00 /usr/bin/gnome-keyring-daemon -d
yike     13795 13712  0 00:37 ?        00:00:00 gnome-session
yike     13810     1  0 00:37 ?        00:00:00 dbus-launch --sh-syntax --exit-w
yike     13813     1  0 00:37 ?        00:00:00 /bin/dbus-daemon --fork --print-
yike     13819     1  0 00:37 ?        00:00:00 /usr/libexec/im-settings-daemon
yike     13822     1  0 00:37 ?        00:00:00 /usr/libexec/im-info-daemon
yike     13824     1  0 00:37 ?        00:00:00 /usr/libexec/gvfsd
yike     13838     1  0 00:37 ?        00:00:00 /usr/libexec//gvfs-fuse-daemon /
yike     13943     1  0 00:37 ?        00:00:00 python /usr/bin/ibus
yike     13945     1  0 00:37 ?        00:00:00 /usr/libexec/gconf-im-settings-d
yike     13947     1  0 00:37 ?        00:00:01 /usr/libexec/gconfd-2
yike     13948 13795  0 00:37 ?        00:00:00 [Xsession] <defunct>
yike     13973 13943  0 00:37 ?        00:00:01 python /usr/share/ibus/daemon/ib
yike     13986 13973  0 00:37 ?        00:00:00 python /usr/share/ibus-chewing/e
yike     13987 13973  0 00:37 ?        00:00:00 python /usr/share/ibus-anthy/eng
yike     13990 13795  0 00:37 ?        00:00:00 /usr/lib/gnome-session/helpers/g
yike     13992     1  0 00:37 ?        00:00:03 /usr/libexec/gnome-settings-daem
yike     13998 13795  0 00:37 ?        00:00:05 gnome-panel
yike     13999 13943  0 00:37 ?        00:00:00 /usr/bin/ibus-x11 --kill-daemon
yike     14000 13943  0 00:37 ?        00:00:02 python /usr/share/ibus/panel/mai
yike     14001 13795  0 00:37 ?        00:00:00 /usr/bin/canberra-gtk-play --id=
yike     14006     1  0 00:37 ?        00:00:00 /usr/libexec/bonobo-activation-s
yike     14022     1  0 00:37 ?        00:00:00 /usr/bin/pulseaudio --start --lo
yike     14028     1  0 00:37 ?        00:00:00 /usr/libexec/gvfs-hal-volume-mon
yike     14032     1  0 00:37 ?        00:00:00 /usr/libexec/gvfs-gphoto2-volume
yike     14033 14022  0 00:37 ?        00:00:00 /usr/libexec/pulse/gconf-helper
yike     14036     1  0 00:37 ?        00:00:00 /usr/libexec/gvfsd-trash --spawn
yike     14055     1  0 00:37 ?        00:00:06 gnome-screensaver
yike     14058     1  0 00:37 ?        00:00:01 /usr/libexec/gnome-netstatus-app
yike     14060     1  0 00:37 ?        00:00:00 /usr/libexec/clock-applet --oaf-
yike     14063     1  0 00:37 ?        00:00:00 python /usr/lib/hamster-applet/h
yike     14067     1  0 00:37 ?        00:00:00 /usr/libexec/mixer_applet2 --oaf
yike     14069     1  0 00:37 ?        00:00:00 /usr/libexec/notification-area-a
yike     14078     1  0 00:37 ?        00:00:00 /usr/libexec/gvfsd-burn --spawne
yike     14092     1  0 00:37 ?        00:00:00 /usr/libexec/evolution-data-serv
yike     14103 13795  0 00:37 ?        00:00:00 kerneloops-applet
yike     14110 13795  0 00:37 ?        00:00:00 python /usr/share/system-config-
yike     14115 13795  0 00:37 ?        00:00:00 nm-applet --sm-disable
yike     14116 13795  0 00:37 ?        00:00:00 bluetooth-applet
yike     14119 13795  0 00:37 ?        00:00:00 imsettings-applet
yike     14121 13795  0 00:37 ?        00:00:00 gpk-update-icon
yike     14123 13795  0 00:37 ?        00:00:00 /usr/bin/python /usr/bin/fusion-
yike     14125 13795  0 00:37 ?        00:00:07 cairo-dock
yike     14127     1  0 00:37 ?        00:00:00 gnome-power-manager
yike     14190     1  0 00:38 ?        00:00:01 /usr/bin/python -E /usr/bin/seal
yike     14200     1  0 00:38 ?        00:00:00 /usr/libexec/gvfsd-computer --sp
yike     14207     1  0 00:38 ?        00:00:01 /usr/libexec/notification-daemon
yike     14230 14123  7 00:38 ?        00:04:04 compiz --replace --sm-disable --
yike     14235 14230  1 00:38 ?        00:00:33 emerald --replace
yike     14237     1  0 00:38 ?        00:00:00 /bin/sh /usr/lib/firefox-3.0.2/r
yike     14254 14237 11 00:38 ?        00:06:11 /usr/lib/firefox-3.0.2/firefox -
yike     14327     1  7 00:38 ?        00:04:12 /usr/bin/python /usr/bin/deluge
yike     14337     1  2 00:38 ?        00:01:35 /usr/bin/python /usr/bin/deluged
yike     14620 13795  0 00:39 ?        00:00:18 nautilus --no-desktop --browser
yike     16432 14327  0 00:52 ?        00:00:00 [xdg-open] <defunct>
yike     16675     1  0 00:53 ?        00:00:00 /usr/libexec/gnome-vfs-daemon
yike     23461     1  2 01:29 ?        00:00:03 evolution
yike     23512     1  0 01:30 ?        00:00:00 /usr/libexec/evolution/2.24/evol
yike     23651     1  1 01:30 ?        00:00:01 gnome-terminal
yike     23664 23651  0 01:30 ?        00:00:00 gnome-pty-helper
yike     23665 23651  0 01:30 pts/0    00:00:00 bash
yike     23852     1  1 01:31 ?        00:00:00 gedit
yike     23922     1  2 01:32 ?        00:00:00 gcalctool
yike     23980 23665  6 01:32 pts/0    00:00:00 ps -ef
Comment 9 Shaopu Chiu 2008-10-03 14:25:10 EDT
I found gnucash and Add/Remove Software freeze too.
Xsession zombie problem was fixed in 10/3's update.
But freeze problems remain.

Is it possible that it is beacause something wrong with my Dbus?
I see this message when I try to use the "network",
It says: 
unable to display 「network:///」
Error:DBus error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

Please select another display mode and try again("Please..."was written in Chinese, I don't know what it is in English.)

I tried to do "yum reinstall dbus" but programs still freeze.
Is there anyway to solve these freeze problems?
Haven't seen any bugreport about these problem. Do they just happen in my fc10?
I'm considering a re-installation of whole system.
This is driving me Crazy. Maybe I shouldn't upgrade from fc9...
Comment 10 Ray Strode [halfline] 2008-10-03 14:52:35 EDT
Hi,

When this happens, if you type

pkill -f canberra-gtk-play

in a terminal, does your session recover?
Comment 11 Shaopu Chiu 2008-10-03 18:11:47 EDT
Pity...nothing happened.
Comment 12 Shaopu Chiu 2008-10-04 22:44:44 EDT
I figure it out after re-installation.
A Chinese input method named "ibus" conflict with these programs.
Thanks.
Comment 13 Ray Strode [halfline] 2008-10-05 02:58:03 EDT
Ah thanks for tracking down the problem component.
Comment 14 Peng Huang 2008-10-05 04:02:05 EDT
Does gedit give some output when it freezes?
Comment 15 Shaopu Chiu 2008-10-05 04:15:45 EDT
No, it just froze and turned gray.
Calculator and others are the same.
The part for input was not shown.
Pidgin and empathy also froze while opened a chat window.
Comment 16 Peng Huang 2008-10-05 04:34:06 EDT
Please install ibus-gtk and set environment variable 'GTK_IM_MODULE=ibus' before starting gedit. Please report if gedit freeze again.
Comment 17 Shaopu Chiu 2008-10-05 05:01:49 EDT
How to set environment variable 'GTK_IM_MODULE=ibus'?
And I'm doing a re-installation again because I can't access to windows network.
I guess that it is caused by the ibus problem too.
I'll check after installation completed.
Thanks.
Comment 18 Shaopu Chiu 2008-10-05 05:11:52 EDT
Oh... I forgot to tell you the ibus-gtk was installed before gedit etc. froze.
Comment 19 Peng Huang 2008-10-05 05:23:58 EDT
Please run 'GTK_IM_MOSULE=ibus gedit' in xterm to test this problem again. thanks.
Comment 20 Peng Huang 2008-10-05 05:53:06 EDT
This problem has been fixed in upstream. I will build the new ibus soon.
Comment 21 Shaopu Chiu 2008-10-05 07:43:00 EDT
THANKS...
So I don't need to set environment variable 'GTK_IM_MODULE=ibus' anymore?
Comment 22 Peng Huang 2008-10-05 07:49:14 EDT
You need not set the environment variable.
If you use ibus (the input method), you should use im-chooser to select ibus input framework.
BTW, the new ibus (ibus-0.1.1.20081005) has been built successfully.

Note You need to log in before you can comment on or make changes to this bug.